Page MenuHomePhabricator

[DEBUGINFO, NVPTX] Enable support for the debug info on NVPTX target.
ClosedPublic

Authored by ABataev on Apr 27 2018, 7:03 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

ABataev created this revision.Apr 27 2018, 7:03 AM
echristo accepted this revision.Nov 8 2018, 8:43 PM

Once we get everything else handled this is fine :)

-eric

This revision is now accepted and ready to land.Nov 8 2018, 8:43 PM

LGTM still when everything else is approved.

This revision was automatically updated to reflect the committed changes.
hokein added a subscriber: hokein.Jan 23 2019, 8:35 AM

This patch may generate illegal assembly code, see the reproduced commands below.

$ ./bin/clang -cc1 -triple nvptx64-nvidia-cuda -aux-triple x86_64-grtev4-linux-gnu -S -disable-free -disable-llvm-verifier -discard-value-names -main-file-name new.cc -mrelocation-model pic -pic-level 2 -mthread-model posix -fmerge-all-constants -mdisable-fp-elim -relaxed-aliasing -no-integrated-as -mpie-copy-relocations -munwind-tables -fcuda-is-device -target-feature +ptx60 -target-cpu sm_35 -dwarf-column-info -debug-info-kind=line-directives-only -dwarf-version=2 -debugger-tuning=gdb -o empty.s -x cuda empty.cc
$  cat empty.s
//
// Generated by LLVM NVPTX Back-End
//

.version 6.0
.target sm_35
.address_size 64



	}

I think the bug existed even before this patch, we have an extra // }, but the code is legal to compile.

I reverted in rL351966, feel free to re-land it after fixing the issue.

I reverted in rL351966, feel free to re-land it after fixing the issue.

Fixed, thanks